Subject: Re: [tsvwg] Adoption call for draft-white-tsvwg-l4sops - to conclude 24th March 2021

From: Sebastian Moeller <[email-masked]>
Date: Thu, 25 Mar 2021 10:40:13 +0100

Hi Bob,

> On Mar 25, 2021, at 10:26, Bob Briscoe <[email-masked]> wrote:
> 
> Steven,
> 
> On 24/03/2021 23:12, Steven Blake wrote:
>> On Wed, 2021-03-24 at 22:50 +0000, Bob Briscoe wrote:
>>> Steven,
>>> 
>>> 
>>> On 23/03/2021 00:56, Steven Blake wrote:
>>>> Sec. 4 (Operator of a Network) of the draft presumes that deployed
>>>> equipment is capable to classifying packets specifically on ECT(1).
>>>> Have the authors confirmed that this feature is available on
>>>> commonly
>>>> deployed operator gear (e.g., IOS-XR, JUNOS)?
>>> [BB]
>>> (Aside: I think you're reading an old (-01) draft. That section has
>>> been
>>> Sec. 5. since draft-02 on 22 Feb 2021.
>>> See my response to the initial adoption call about the probable cause
>>> of
>>> this confusion - suspected problems with the IETF tools servers.
>>> )
>> Oops! You're right. s/Sec. 4/Sec. 5.
>> 
>> 
>>> To your point, I checked the manuals of one or two OSs of common
>>> makes
>>> of router before I proposed the WRED technique for addition to the
>>> draft. And I discussed the hardware capabilities with people within
>>> one
>>> or two router vendors. In the cases I checked, the CLI limits the
>>> flexibility that the admin has to define classifiers as general bit
>>> patterns. However the hardware underneath does have that flexibility.
>>> So
>>> this would require a CLI update for the routers I checked. The Linux
>>> classifier architecture does provide sufficient flexibility for such
>>> a
>>> classifier.
>>> 
>>> I also suggested the ECT(1) tunnel bypass technique, but I didn't
>>> exhaustively check the manuals of all the different types of tunnel
>>> (there are dozens).
>>> 
>>> I think this list of techniques is most useful for router
>>> developers,
>>> who can then find the easiest and most efficient one for their
>>> particular kit; whether they have to update the CLI, or whether they
>>> can
>>> find a way for their users to configure their unmodified systems in
>>> the
>>> field.
>> 
>> So operators that *don't wish to participate in L4S experiments* may
>> need to update *their* deployed software? Ask your favorite router
>> vendor how many customer-specific releases they are maintaining because
>> customers don't want to move forward once they get a working validated
>> release.
> 
> [BB] There is a common belief that, if any RFC3168 FIFO AQMs exist, they will be rare. But Jake and Jonathan raised the concern that it still needs to be possible to deploy RFC3168 routers from now onwards. In that case, operators that *don't wish to participate* would be updating their config, and l4sops then gives router developers ideas for how they might be able to prevent an existing implementation of RFC3168 from acting on ECT(1), given an ECN implementation is likely to be hard-coded against the ECN codepoints.

	[SM] This asks the question, how would an operator that is about to enable an rfc3168 AQM know that he better read and follow the L4S-ops ID/RFC? Are we expecting all operators to read and follow all RFCs meticulously all the time? 
	IMHO an operator intending on employing an rfc3168 AQM might read RFC3168 and RFCs referenced from there (which is IMHO already less likely), while an operator interested in L4S might read all of the L4S IDs/RFCs. But here we would need the rfc3168 deploying operators to read and follow an L4S ID/RFC...
	I guess adding an updated by to rfc3168 pointing to the L4S-ops RFC might offer a solution, but can/should a informational RFC update a PS document (honest question, I am just not sure about whether our process permits that)?

Best Regards
	Sebastian

P.S.: This is basically the same issue I have with the only mildly related NQB ID: in both contexts, we seem to expect parties genuinely not interested in the topic of the ID to act in a specific way to accommodate either the NQB or the L4S IDs/RFCs. And in both cases arguably bad things happen if those parties do not follow the recommendations.

> 
> 
> 
> Bob
> 
>> 
>> 
>> Regards,
>> 
>> // Steve
>> 
>> 
>> 
>> 
> 
> -- 
> ________________________________________________________________
> Bob Briscoe                               http://bobbriscoe.net/